Bug 49254 - lilo displays the wrong kernel version at login
lilo displays the wrong kernel version at login
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: lilo (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-17 10:19 EDT by Michael Colef
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-25 16:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Colef 2001-07-17 10:19:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.6-2 i686)

Description of problem:
I have installed kernel-2.4.6-2 from Red Hat Rawhide and at login the
system displays the old version of the kernel. When I give the command
"uname -a" the correct version is displayed.

May this be a bug in mkinitrd? the /var/log/messages does not show any
error.

How reproducible:
Always

Steps to Reproduce:
1.Startup the system
2.
3.
	

Actual Results:  System displays the old version of kernel

Additional info:
Comment 1 Bill Nottingham 2001-07-17 10:37:46 EDT
If uname -a shows a different kernel, you booted a different kernel.
Comment 2 Michael Colef 2001-07-17 11:21:04 EDT
I had the same problem on two different computers. I had kernel-2.4.5-10, before
I installed ( I used rpm -ivh kernel-2.4.6-2.i686.rpm ) kernel-2.4.6-2, on one
computer. On that machine, at login, I get "Kernel 2.4.5-10 on an i686" message. 

I had kernel-2.4.3-12 before I installed ( I used rpm -ivh
kernel-2.4.6-2.i686.rpm ) kernel-2.4.6-2, on the other computer. On that
machine, at login, I get "Kernel 2.4.3-12 on an i686" message. The other
computer.

I know that "uname -a" gives me the version of the kernel I booted. My question
was why the system reports the old version of the kernel when in fact it boots
the new version and where might the problem be?
Comment 3 Michael Colef 2001-07-19 10:28:17 EDT
Does this have anything to do with mkkerneldoth not working properly? Or maybe
the compiler (gcc version 2.96 20000731) was buggy?
Comment 4 Michael Colef 2001-07-25 09:38:10 EDT
I have installed the new kernel version 2.4.6-2.4 on the only computer that was
showing the correct version and this one now shows the old version instead of
the new one it booted in.

It is really frustrating to see how this goes on and on without being solved.
When I telnet I also get the old version of the kernel instead of the correct
one.
Comment 5 Enrico Scholz 2001-07-25 16:20:34 EDT
Newer initscripts don't update /etc/issue anymore. To get the expected
login-screen, install an actual redhat-release package which contains a
generalized version of this file!
Comment 6 Michael Colef 2001-07-27 09:10:44 EDT
I manually altered the /etc/issue and /etc/issue.net files and everything is
working fine now, I mean showing the correct version of the kernel that is
loaded.

Note You need to log in before you can comment on or make changes to this bug.